﻿<?xml version="1.0" encoding="UTF-8"?>
<customUI  xmlns="http://schemas.microsoft.com/office/2006/01/customui" onLoad="Ribbon_Load" loadImage="GetImage">
    <ribbon >
        <tabs>
            <tab id="tabDataWizard" getLabel="GetRibbonTitle">
                <group id="pnlLogin" getVisible="GetVisibility">
                    <dynamicMenu id="menuLogOut" label="Log out" size="large" image="img_logout" getContent="AddLogoutButtons" />
                </group>
                <group id="pnlData" label="Get data" image="img_new_table" getVisible="GetVisibility">
                    <dynamicMenu id="menuGetData" label="New Table" size="large" image="img_new_table" getContent="AddDataSources" />
                    <button id="btnChange" label="Change Selection" size="large" image="img_change_selection"  getVisible="GetVisibility" onAction="btnChange_Click" />
                </group>
                <group id="pnlManagement" label="Save to Database" image="img_save_group" getVisible="GetVisibility">
                    <button id="btnSaveSelected" label="Selected Data" size="large" image="img_save_selected" onAction="btnSaveSelected_Click"/>
                    <button id="btnSaveAll" label="Entire Table" size="large" image="img_save_all" onAction="btnSaveAll_Click"/>
                </group>
                <group id="pnlRefresh" label="Refresh" image="img_refresh_group">
                    <button id="btnRefreshSheet" label="Current Sheet"  size="large" image="img_refresh_sheet" getVisible="GetVisibility" onAction="btnRefreshSheet_Click"/>
                    <button id="btnRefreshAll" label="All Sheets" size="large" image="img_refresh_all" getVisible="GetVisibility" onAction="btnRefreshWorkbook_Click"/>
                </group>
                <group id="pnlHelp" getLabel="GetAppVersion">
                    <menu id="mHelp" image="img_help" size="large">
                        <button id="btnAbout" label="About .Stat DLM Excel-Addin" onAction="btnHelp_Click"/>
                        <button id="btnHowToDelete" getLabel="GetHowToDeleteLabel" getVisible="GetVisibility" onAction="btnHelp_Click"/>
                    </menu>
                </group>
                <group id="pnlMeta" label="Referential metadata" getVisible="GetVisibility">
                    <button id="btnMeta" label="Edit" size="large" image="img_metadata" onAction="btnMeta_Click"/>
                </group>
                <group id="pnlInfo" image="img_info" getVisible="GetVisibility" label="Info" >
                    <box id="boxDataset" boxStyle="horizontal">
                        <menu id="mDataset" getImage="GetLabelImage">
                            <button id="item_tag" label="Name" image="img_lbl_tag" onAction="Label_Change"/>
                            <button id="item_id" label="ID" image="img_lbl_id" onAction="Label_Change"/>
                        </menu>
                        <labelControl id="lblDataset" getLabel="GetInfoLabels" />
                    </box>
                    <labelControl id="lblSource" getLabel="GetInfoLabels" />
                    <labelControl id="lblUpdateDate" getLabel="GetInfoLabels" />
                </group>
            </tab>
        </tabs>
    </ribbon>
</customUI>